<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from compdiv_ansiisoc.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="compdiv_ansiisoc" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">


  <refnamediv>
    <refname>compdiv_ansiisoc</refname><refpurpose>Performs complex division with a port of ANSI/ISO C algorithm.</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   z = compdiv_ansiisoc(x,y)
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>x :</term>
      <listitem><para> a matrix of complex doubles</para></listitem></varlistentry>
   <varlistentry><term>y :</term>
      <listitem><para> a matrix of complex doubles</para></listitem></varlistentry>
   <varlistentry><term>z :</term>
      <listitem><para> a matrix of complex doubles, the complex division result z=x/y.</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
A Scilab port of the complex division as in C99.
Uses a pre-scaling by max(abs(c), abs(d)).
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
expected = 11/25 + %i * 2/25
compdiv_ansiisoc ( 1+2*%i , 3+4*%i )

   ]]></programlisting>
</refsection>

<refsection>
   <title>Bibliography</title>
   <para>ISO/IEC 9899 - Programming languages - C, http://www.open-std.org/jtc1/sc22/wg14/www/docs/n1256.pdf</para>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2010 - Michael Baudin</member>
   </simplelist>
</refsection>
</refentry>
